Index: trunk/packages/sipb-xen-dev/debian/changelog
===================================================================
--- trunk/packages/sipb-xen-dev/debian/changelog	(revision 822)
+++ trunk/packages/sipb-xen-dev/debian/changelog	(revision 853)
@@ -1,7 +1,7 @@
 sipb-xen-dev (18) unstable; urgency=low
 
-  * sign the packages
+  * sign the packages, getting keyid from invirt.config
 
- -- Greg Price <price@mit.edu>  Sat,  2 Aug 2008 21:57:58 -0400
+ -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 00:43:58 -0400
 
 sipb-xen-dev (17) unstable; urgency=low
Index: trunk/packages/sipb-xen-dev/debian/sipb-xen-dev.init
===================================================================
--- trunk/packages/sipb-xen-dev/debian/sipb-xen-dev.init	(revision 853)
+++ trunk/packages/sipb-xen-dev/debian/sipb-xen-dev.init	(revision 853)
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+PACKAGE=sipb-xen-dev
+
+. /lib/lsb/init-functions
+
+gen_config () {
+    local keyid="$(invirt-getconf apt.keyid)"
+    for f in /srv/repository/conf/{distributions,invirt-uploaders}; do
+	perl -pe "s/@apt.keyid@/$keyid/g" <"$f".in >"$f"
+    done
+}
+
+case "$1" in
+  start|reload|force-reload|restart)
+    log_begin_msg "Reloading config for $PACKAGE"
+    gen_config
+    log_end_msg $?
+    ;;
+  stop)
+    ;;
+  *)
+    log_success_msg "Usage: /etc/init.d/$PACKAGE {start|reload|force-reload|restart|stop}"
+    ;;
+esac
